Subject: Re: Bug#657390: lintian: Please make build-arch and build-indep required targets

From: Niels Thykier <[email-masked]>
Date: Thu, 10 Jan 2013 11:46:46 +0100

On 2012-02-08 13:23, Niels Thykier wrote:
> On 2012-01-25 23:18, Roger Leigh wrote:
>[...]
>> Once build-arch and build-indep are supported by dpkg-buildpackage,
>> hopefully in the next week, and/or are required by Policy, please
>> could you apply the attached patch to move build-arch and build-indep
>> from recommended to required?
>>
> 

Things have changed a bit since we talked about this last year.

> dpkg/experimental now supports build-arch/build-indep with the "make
> -qn" fallback[1].  The tech-ctte's multi-arch ruling[2] suggests we may
> see this change in sid in 14 days time (unless that change is reverted
> etc.).

In sid and Wheezy by now.

>   That being said, I am not sure this is sufficient to bump these
> targets to "required".  I am not aware of anything on the Policy front
> or the tech-ctte (build-arch) front to ratify the recommended ->
> required change.
> 

Ratified in Policy 3.9.4, but as mentioned in [1] it is "Not for Wheezy".

> I am hesistant because bumping them has a side-effect of making them
> "fatal auto-rejects".  Despite the steady drop in missing targets[3]
> there are still 4000-4500 packages that "overnight" would be auto-reject
> candidates.
> 

This number is now about 3700, which is still a bit much.  In the
interest of not getting a lot of mail from people aggrevated by their
package being auto-rejected, I still feel the tags should remain split
for now (until that number drops a bit more and Wheezy has been released).

I am open to bumping the severity of the recommended-target tag
(possibly including a rename) to make the tag more visible and hopefully
increasing the adoption rate of this tag (well, the post-freeze adoption
rate).

>> I kept the debian-rules-missing-recommended-target check and
>> description in case it's of potential use in the future, but
>> otherwise these could also be removed.
>>
>>
>> Thanks,
>> Roger
>>
>> [...]
> 
> 
> ~Niels
> 
> [...]
> 

[1] https://lists.debian.org/debian-devel-announce/2012/09/msg00006.html